tigase.jaxmpp.core.client.xmpp.modules.omemo

## Class Bundle

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.modules.omemo.Bundle

- All Implemented Interfaces:
    Element

      public class Bundle
      extends ElementWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bundle(BareJID jid, Integer deviceId, Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.whispersystems.libsignal.SignalProtocolAddress` | `getAddress()`
    `Integer` | `getDeviceId()`
    `BareJID` | `getJid()`
    `org.whispersystems.libsignal.state.PreKeyBundle` | `getPreKeyBundle()`
    `List<org.whispersystems.libsignal.state.PreKeyBundle>` | `getPreKeys()`
    `String` | `toString()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Bundle

          public Bundle(BareJID jid,
                        Integer deviceId,
                        Element element)
                 throws JaxmppException

      Throws:
        `JaxmppException`

  - ### Method Detail

    - #### getDeviceId

          public Integer getDeviceId()

    - #### getJid

          public BareJID getJid()

    - #### getAddress

          public org.whispersystems.libsignal.SignalProtocolAddress getAddress()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ElementWrapper`

    - #### getPreKeyBundle

          public org.whispersystems.libsignal.state.PreKeyBundle getPreKeyBundle()
                                                                          throws XMLException,
                                                                                 org.whispersystems.libsignal.InvalidKeyException

      Throws:
        `XMLException`
        `org.whispersystems.libsignal.InvalidKeyException`

    - #### getPreKeys

          public List<org.whispersystems.libsignal.state.PreKeyBundle> getPreKeys()
                                                                           throws XMLException,
                                                                                  org.whispersystems.libsignal.InvalidKeyException

      Throws:
        `XMLException`
        `org.whispersystems.libsignal.InvalidKeyException`

Copyright © 2006–2023 Tigase. All rights reserved.